package com.zfire.jiasm.syncdata.download.other.install;

import lombok.extern.slf4j.Slf4j;

/**  未上线 新做的接口
 * 家用特殊安装申请更新
 */
@Slf4j
// @Component
public class QueryDataUpload {
    /*
    @Resource
    OtherDownService otherDownService;
    @Resource
    TblAzwgmxUploadService tblAzwgmxUploadService;



    @Scheduled(fixedDelayString = "${jytsazxzgx}")
    public void upload(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.info("开始更新家用特殊安装工单: \uF0B7{}",sdf.format(new Date()));

        // 提取家用特殊安装工单需要更新的数据
        List<TblAzwgmxUpload> taus = tblAzwgmxUploadService.lambdaQuery()
                .eq(TblAzwgmxUpload::getSynStatus,0).list();
        for (TblAzwgmxUpload item :taus){
            try{
                if (item.getTabName().equals("tbl_azwgmx_kqaz_download")){
                    otherDownService.uploadDatakqaz(item);
                } else if (item.getTabName().equals("tbl_azwgmx_kjmm_download")){
                    otherDownService.uploadDataKjmm(item);
                } else if (item.getTabName().equals("tbl_azwgmx_kqcjsj_download")){
                    otherDownService.uploadDatacjsj(item);
                }
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("更新家用特殊安装工单【" + item.getTabName() +"】失败");
            }
        }
        log.info("更新家用特殊安装工单结束: \uF0B7{}",sdf.format(new Date()));
    }
*/
}
